Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationStandardModel Class Reference

変換標準モデル More...

`#include <TranslationStandardModel.h>`

Inheritance diagram for LampForMaya::TranslationStandardModel:

List of all members.

## Public Member Functions
virtual | ~TranslationStandardModel ()
| デストラクタ
virtual bool | isStandardStandardModel () const
| 標準モデルかどうか
virtual bool | analyze (TranslationMeshManager *meshManager)
| 分析
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
## Protected Member Functions
| TranslationStandardModel (const MObject &initializeObject, const String &initializeName)
| コンストラクタ
## Friends
class | TranslationModelManager

## Detailed Description

変換標準モデル

Definition at line 38 of file TranslationStandardModel.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationStandardModel::TranslationStandardModel | ( | const MObject & | initializeObject,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializeObject | 初期化するオブジェクト
  initializeName | 初期化する名前
Definition at line 36 of file TranslationStandardModel.cpp.

## Member Function Documentation

bool LampForMaya::TranslationStandardModel::analyze | ( | TranslationMeshManager * | meshManager | ) | `[virtual]`

  | 分析 Parameters:
  meshManager | メッシュマネージャ
Returns: 成功すればtrue Implements LampForMaya::TranslationModel. Definition at line 47 of file TranslationStandardModel.cpp. References LampForMaya::TranslationMesh::addColor(), LampForMaya::TranslationMesh::addNormal(), LampForMaya::TranslationMesh::addPosition(), LampForMaya::TranslationMesh::addUV(), LampForMaya::TranslationModel::analyzeModel(), LampForMaya::TranslationMeshManager::createRigidMesh(), LampForMaya::TranslationModel::getShaderName(), LampForMaya::TranslationRigidMesh::logicalCheck(), MayaErrorOut, MayaStatusCheck, LampForMaya::TranslationModel::meshes_, LampForMaya::TranslationModel::name_, LampForMaya::TranslationModel::object_, LampForMaya::TranslationMeshManager::search(), LampForMaya::TranslationMesh::setMaterialName(), and LampForMaya::TranslationMesh::setUVSetCount().

bool LampForMaya::TranslationStandardModel::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationModel. Definition at line 242 of file TranslationStandardModel.cpp. References MayaErrorOut, LampForMaya::TranslationModel::meshes_, LampForMaya::TranslationModel::name_, and LampForMaya::TranslationModel::visibility_.

virtual bool LampForMaya::TranslationStandardModel::isStandardStandardModel | ( |  | ) | const`[inline, virtual]`

| 標準モデルかどうか Returns: 標準モデルならtrue Definition at line 50 of file TranslationStandardModel.h.

The documentation for this class was generated from the following files:

- TranslationStandardModel.h
- TranslationStandardModel.cpp